STRUCT TEMPLATE VA(3)

NAME
boost::xpressive::value

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
template<typename T>
struct value {
  // types
  typedef proto::extends< typename proto::terminal< T >::type, value< T > > base_type;
  // construct/copy/destruct
  value();
  value(T const &);
  // public member functions
  T & get();
  T const & get() const;
};

DESCRIPTION

  value public construct/copy/destruct

    1.

    value();

    2.

    value(T const & t);

  value public member functions

    1.

    T & get();

    2.

    T const & get() const;